Amazon Neptune 引擎版本 1.0.2.2.2.R4 (2020-07-23) - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 引擎版本 1.0.2.2.2.R4 (2020-07-23)

截至 2020-07-23,引擎版本 1.0.2.2.2.R4 正在普遍部署。请注意,新版本在每个区域的发布需要几天的时间。

此引擎版本中的改进

  • 通过更频繁地将未使用的内存释放回操作系统来提高内存使用率。

  • 还改进了 SPARQL GROUP BY 查询的内存使用率。

  • 将使用 IAM 进行身份验证的 WebSocket 连接保持打开状态的最长时间从 36 小时延长到 10 天。

  • 增加了BufferCacheHitRatioCloudWatch 指标,可用于诊断查询延迟和调整实例类型。请参阅Neptune 指标

在此引擎版本中修复的缺陷

  • 修复了关闭空闲或过期的 IAM WebSocket 连接的错误。Neptune 现在在关闭连接之前发送一个关闭帧。

  • 修复了评估包含嵌套 FILTER EXISTS 和/或 FILTER NOT EXISTS 条件的查询时的 SPARQL 错误

  • 修复了在某些极端条件下导致服务器上的线程被阻止的 SPARQL 查询终止错误。

  • 修正了一个涉及 Edge Pathtype 的 GEMlin 错误hasLabel步骤。

  • 修正了一个 GEMlin 错误来处理toVfromV单独针对每个方向bothE.

  • 修正了一个涉及 SideEffects 消失的 GEMlin 错误。

此版本支持的查询语言版本

在将数据库集群升级到版本 1.0.2.2.R4 之前,请确保您的项目与以下查询语言版本兼容:

  • GEMlin 版本: 3.4.3

  • SPARQL 版本: 1.1

升级到引擎版本 1.0.2.2.R4

如果您正在运行引擎版本 1.0.2.2,您的集群将在下一个维护时段内自动升级到此补丁版本。

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

升级到此版本

Amazon Neptune 1.0.2.2.R4 现已正式上市。

如果数据库集群运行的引擎版本有此版本的升级路径,则现在有资格进行升级。您可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的集群:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier (your-neptune-cluster) \ --engine-version 1.0.2.2 \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier (your-neptune-cluster) ^ --engine-version 1.0.2.2 ^ --apply-immediately

更新将同时应用于数据库集群中的所有实例。更新需要在这些实例上重新启动数据库,因此,会出现从 20 到 30 秒到几分钟的停机,之后您可以继续使用数据库集群。

有关升级引擎版本的更多信息,请参阅Neptune 引擎更新. 如果您有任何问题或疑问,Amazon可 Support 过社区论坛和通过AmazonPremium Support.